svn commit: r52126 - head/share/pgpkeys

Mateusz Piotrowski <[email protected]>
Newsgroups gmane.os.freebsd.devel.cvs.doc
Message-ID <[email protected]>
Author: 0mp (ports committer)
Date: Tue Aug 14 20:23:19 2018
New Revision: 52126
URL: https://svnweb.freebsd.org/changeset/doc/52126

Log:
  Make addkey.sh work with usernames starting with a digit.
  
  Reviewed by:	des, krion
  Approved by:	krion (mentor)
  Differential Revision:	https://reviews.freebsd.org/D16549

Modified:
  head/share/pgpkeys/addkey.sh

Modified: head/share/pgpkeys/addkey.sh
==============================================================================
--- head/share/pgpkeys/addkey.sh	Tue Aug 14 13:07:59 2018	(r52125)
+++ head/share/pgpkeys/addkey.sh	Tue Aug 14 20:23:19 2018	(r52126)
@@ -65,7 +65,7 @@ fi
 if [ -z "${me}" ] ; then
 	error "Unable to determine user name."
 fi
-if ! expr "${me}" : '^[a-z][0-9a-z-]*$' >/dev/null ; then
+if ! expr "${me}" : '^[0-9a-z][0-9a-z-]*$' >/dev/null ; then
 	error "${me} does not seem like a valid user name."
 fi
 
_______________________________________________
[email protected] mailing list
https://lists.freebsd.org/mailman/listinfo/svn-doc-all
To unsubscribe, send any mail to "[email protected]"
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.